/* 3. Erstellen Sie folgende Funktionen 'quer', 'mantel' und 'volumen', die aus
Durchmesser und Länge eines Zylinders den Querschnitt bzw. die Mantelfläche
berechnen und aus Querschnitt und Laenge das Volumen ermitteln.
m= pi*d*l; q= pi/4*d*d; v=q*l;
Für eine Welle aus mehreren Zylindern sind der Durchmesser und die Länge der
verschiedenen Abschnitte (max. 10, Abbruch bei 0) einzulesen.
Lassen Sie jeweils den Querschnitt, die Mantelflaeche und das Volumen mit den
o.g. Funktionen berechnen.
Geben Sie alle Daten als Tabelle aus! Hinweis: pi=3.141593;
------------------------------------------------------------------------------*/
#include <stdlib.h>
#define pi 3.1415926
#define anzmax 10
float quer ( float du )    /* Definition der Funktion */
{  float q;
   q= pi/4*du*du; return q;
}
float mantel ( float du, float lg)
{ float m;
  m= pi*du*lg; return m;
}
float volumen( float q, float lg)
{ float v;
  v= q*lg; return v;
}
int main()
{  float du[anzmax], lg[anzmax], q, m, v;   int i, anz; i=0;

   do{ printf("\n Durchmesser: ");  scanf("%f", &du[i]);
       if( du[i]<=0) break;
       printf(" Laenge: ");  scanf("%f", &lg[i]);
       if( lg[i]<=0) break;
       i++;
   }while( i<anzmax);
   anz=i;
   printf("\n Durchmesser   Laenge      Querschn.   Mantelfl.   Volumen\n");
   for( i=0; i<anz; i++)
   {  q= quer( du[i] );        /* Aufruf der Funktion */
      m= mantel( du[i], lg[i]);
      v= volumen( q, lg[i]);
      printf(" %10f  %10f  %10f  %10f  %10f\n", du[i], lg[i], q, m, v);
   }
   printf("\n");system("PAUSE");
      return 0;
}
